#
# spec file for package python-pyrrd
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define skip_python3 1
%define modname PyRRD
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyrrd
Version:        0.1.0
Release:        13.1
Summary:        An Object-Oriented Python Interface for RRD
License:        BSD-3-Clause
Group:          Development/Libraries/Python
URL:            http://code.google.com/p/pyrrd/
Source:         https://files.pythonhosted.org/packages/source/P/PyRRD/%{modname}-%{version}.tar.gz
BuildRequires:  %{python_module docutils}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module xml}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-xml
Requires:       rrdtool
BuildArch:      noarch
%python_subpackages

%description
PyRRD is a pure-Python OO wrapper for the RRDTool (round-robin database tool).
The idea is to make RRDTool insanely easy to use and to be aesthetically
pleasing for Python programmers.

%package -n %{name}-docs
Summary:        Documentation files for %{name}
Group:          Documentation/Other

%description -n %{name}-docs
HTML Documentation and examples for %{name}.

%prep
%setup -q -n %{modname}-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc ChangeLog README TODO
%{python_sitelib}/pyrrd
%{python_sitelib}/PyRRD-*.egg-info

%files -n %{name}-docs
%doc examples docs

%changelog
* Fri Jun 22 2018 mcepl@suse.com
- This time really clean SPEC file (and yes, this is noarch package)
* Fri Jun 22 2018 mcepl@suse.com
- Clean SPEC file
* Thu Aug 24 2017 jmatejek@suse.com
- singlespec auto-conversion
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Feb 15 2012 jfunk@funktronics.ca
- Switch from setuptools to distribute
* Tue Nov 29 2011 cfarrell@suse.com
- license update: BSD-3-Clause
  SPDX format
* Sun Nov 27 2011 jfunk@funktronics.ca
- Update to 0.1.0
  This version marks a significant update to the code base. Some 70+ commits
  have been made to trunk since the last release in the period from March 2009
  to September 2011. Some of the most signficant changes include the
  following:
  - Added a wrapper for the Python bindings.
  - Improvements in tests and testing infrastructure.
  - Improved exception handling.
  - Many changes and improvements to the RRD -> Python object mapper.
  - Improved support in Windows.
  - Graph formatting fixes.
  - Many bug fixes from community members.
* Thu Nov 24 2011 idoenmez@suse.de
- Format spec file
* Mon Feb 15 2010 jfunk@funktronics.ca
- Initial release
